--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns query on top of scope stack
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Model::Scope#query
is_singleton: false
name: query
params: ()
visibility: public
